#
# spec file for package gettext (Version 0.10.37)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-nox libpng te_pdf te_pscm tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-nox file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf te_pscm tetex texinfo textutils timezone unzip util-linux vim

Name:         gettext
Copyright:    GPL
Group:        Utilities/Text
Autoreqprov:  on
Version:      0.10.37
Release:      86
Summary:      Tools for National Language Support (NLS)
BuildRoot:    %{_tmppath}/%{name}-root
Source:       ftp://alpha.gnu.org/pub/gnu/gettext-%{version}.tar.bz2
Source1:      http://www.iro.umontreal.ca/contrib/po/teams/PO/de/gettext-0.10.39.de.po.bz2
Patch:        ycp.dif
# Patch2:       manual.diff

%description
This package contains the `intl' library as well as tools that ease the
creation and maintenance of message catalogs: you can extract strings from
source code, the supplied Emacs mode (po-mode.el) will aid in editing these
catalogs (called PO files, for portable object) and add translations and a
special compiler will turn these PO files into binary catalogs.
This Library is distributed under the GPL License, not under LGPL.
So please remember to read /usr/share/doc/packages/gettext/COPYING and
keep in mind that you have to supply the sources of a program linked
against this library on request, if you distribute your program.

Authors:
--------
    Ulrich Drepper <drepper@cygnus.com>
    Bruno Haible <haible@clisp.cons.org>

SuSE series: d

%prep
%setup -q
%patch  -p1
bunzip2 < %{SOURCE1} > po/de.po
# %patch2 

%build
export LC_CTYPE=ISO-8859-1
%{?suse_update_config:%{suse_update_config -f}}
%ifarch ia64
CFLAGS="$RPM_OPT_FLAGS -O1" \
%else
CFLAGS="$RPM_OPT_FLAGS" \
%endif
pushd /
  [ -f usr/bin/emacs ] || ln -sf emacs-nox usr/bin/emacs
popd
./configure --prefix=/usr --with-included-gettext \
				--disable-shared --infodir=%{_infodir} \
					%{_target_cpu}-suse-linux
make GMSGFMT=../src/msgfmt
pushd doc
    texi2pdf gettext.texi
popd

%install
rm -rf $RPM_BUILD_ROOT
export LC_CTYPE=ISO-8859-1
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS BUGS COPYING DISCLAIM NEWS README THANKS TODO
%doc doc/gettext.pdf
%defattr(-,root,root)
/usr/bin/gettext
/usr/bin/gettextize
/usr/bin/msgcmp
/usr/bin/msgcomm
/usr/bin/msgfmt
/usr/bin/msgmerge
/usr/bin/msgunfmt
/usr/bin/ngettext
/usr/bin/xgettext
%doc %{_infodir}/gettext.info*.gz
/usr/share/gettext
/usr/share/locale/da/LC_MESSAGES/gettext.mo
/usr/share/locale/de/LC_MESSAGES/gettext.mo
/usr/share/locale/el/LC_MESSAGES/gettext.mo
/usr/share/locale/en@boldquot/LC_MESSAGES/gettext.mo
/usr/share/locale/en@quot/LC_MESSAGES/gettext.mo
/usr/share/locale/es/LC_MESSAGES/gettext.mo
/usr/share/locale/fr/LC_MESSAGES/gettext.mo
/usr/share/locale/ja/LC_MESSAGES/gettext.mo
/usr/share/locale/ko/LC_MESSAGES/gettext.mo
/usr/share/locale/nl/LC_MESSAGES/gettext.mo
/usr/share/locale/nn/LC_MESSAGES/gettext.mo
/usr/share/locale/no/LC_MESSAGES/gettext.mo
/usr/share/locale/pl/LC_MESSAGES/gettext.mo
/usr/share/locale/pt/LC_MESSAGES/gettext.mo
/usr/share/locale/sl/LC_MESSAGES/gettext.mo
/usr/share/locale/sv/LC_MESSAGES/gettext.mo
/usr/share/locale/tr/LC_MESSAGES/gettext.mo
/usr/share/aclocal/codeset.m4
/usr/share/aclocal/gettext.m4
/usr/share/aclocal/iconv.m4
/usr/share/aclocal/isc-posix.m4
/usr/share/aclocal/lcmessage.m4
/usr/share/aclocal/progtest.m4
/usr/share/emacs/site-lisp/po-mode.el
/usr/share/emacs/site-lisp/po-mode.elc

%changelog -n gettext
* Mon Aug 27 2001 - ke@suse.de
- Update German translation from UMontreal Translation Project.
- Make sure to compile and install 'po-mode'.
* Fri May 11 2001 - pthomas@suse.de
- Update to 0.10.37.
  Remove manual.diff as most of the fixes have been incorporated.
* Wed May 09 2001 - cstein@suse.de
- repacked sources with bzip2
* Thu Apr 12 2001 - pthomas@suse.de
- Don't list directories shared with other packages in
  spec file.
* Mon Apr 09 2001 - pthomas@suse.de
- Update to 0.10.36
- Drop msghack patch
- Improve gettext manual ( hopefully :)
- Now provides po-mode.el
* Thu Mar 08 2001 - ke@suse.de
- Use more rpm macros.
- Build and install a printable manual (PDF).
* Fri Mar 02 2001 - schwab@suse.de
- Compile with -O1 on ia64 to work around compiler bug.
* Tue Sep 19 2000 - pthomas@suse.de
- add patch from Bruno Haible. This allows statically linking
  programs with libintl.a on glibc systems.
* Tue Jun 20 2000 - pthomas@suse.de
- xgettext.c: format YCP automatically set for .ycp extension
- gettext.spec: allow building on systems where gettext.m4 etc.
  are installed.
* Thu Jun 15 2000 - pthomas@suse.de
- add patches from Paul Eggert needed for NLS in gcc
- add patch from Martin v. Loewis to allow searching
  inside of #define
* Fri May 05 2000 - kukuk@suse.de
- Fix Bug 2812
- Add DESTDIR to intl/Makefile.in and po/Makefile.in.in
- Use BuildRoot
* Mon May 01 2000 - ke@suse.de
- Add msghack from RH's package: gettext-0.10.35-hacks.patch
* Wed Apr 26 2000 - kukuk@suse.de
- Fix configure call (add %%{_target_cpu} macro)
* Thu Apr 06 2000 - bk@suse.de
- replace config.{guess,sub} against config update macro for s390
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 28 2000 - schwab@suse.de
- Do not even try to install po-mode.el.
* Tue Jan 25 2000 - kukuk@suse.de
- Fix permissions of locale dirs.
- Move /usr/info -> /usr/share/info.
- Remove po-mode, now in extra package.
* Mon Dec 13 1999 - schwab@suse.de
- Remove libintl.a from file list, everything is in libc.
* Tue Nov 30 1999 - schwab@suse.de
- Add format checking for YCP strings.
- Don't declare getline and getdelim.
* Sat Nov 13 1999 - kukuk@suse.de
- Clean up spec file and old, obsolete patches
* Fri Oct 15 1999 - aj@suse.de
- Handle \v.
* Tue Oct 12 1999 - kettner@suse.de
- patched for use with YaST2 YCP scripts, new option
--language=YCP
* Sat Oct 09 1999 - ro@suse.de
- fixed to build on any arch
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 15 1999 - ke@suse.de
- update po-mode.el.
* Thu Mar 11 1999 - kukuk@suse.de
- don't link against libintl.a on glibc systems
* Sun Feb 14 1999 - ke@suse.de
- update po-mode.el.
* Thu Jan 07 1999 - ro@suse.de
- respect alpha in specfile
* Thu Jan 07 1999 - ro@suse.de
- don't redeclare getline
* Mon Dec 07 1998 - florian@suse.de
- update to gettext 0.10.35
* Mon Dec 07 1998 - bs@suse.de
- added locale.alias to file list for libc5 systems.
* Thu Nov 26 1998 - bs@suse.de
- skipped /usr/share/locale/locale.alias from file list (is in localedb)
* Fri Sep 11 1998 - ro@suse.de
- switch detection of GLIBC to automake
* Thu Aug 13 1998 - bs@suse.de
- added export LC_CTYPE to build an install section in spec file.
* Wed Aug 12 1998 - ke@suse.de
- new po-mode.el from
  http://www.iro.umontreal.ca/contrib/po/po-mode/po-mode.el
- and install po-mode.el.
* Fri Jun 19 1998 - ro@suse.de
- dirty hack should at least work now
* Fri Jun 19 1998 - bs@suse.de
- don't include libintl.h if glibc is used.
  did it with a dirty hack.  Will be done better in a while.
* Mon Mar 09 1998 - ro@suse.de
- added some documentation
* Thu Feb 05 1998 - florian@suse.de
- add missing m4 macro files in /usr/share/aclocal
* Fri Oct 10 1997 - florian@suse.de
- update to version 0.10.32
* Wed Jan 22 1997 - florian@suse.de
- update to version 0.10.26
